# PropertyPath Class Reference
[Object queries API]

List of all members.

## Public Member Functions

| __construct ($root, $path)
| getPath ()
| getRoot ()
| getFinalProto ()
| getFinalDao ()
| getFinalProperty ()

## Private Member Functions

| fetchHelpers ($className)

## Private Attributes

| $root = null
| $path = null
| $properties = array()

## Static Private Attributes

static | $daos = array()
static | $protos = array()

## Detailed Description

Definition at line 15 of file PropertyPath.class.php.

## Constructor & Destructor Documentation

PropertyPath::__construct | ( | $ | root,
|  | $ | path |
| ) |  |  |

Definition at line 25 of file PropertyPath.class.php.

References $path, $root, Assert::classExists(), fetchHelpers(), and Assert::isString().

Here is the call graph for this function:

## Member Function Documentation

PropertyPath::fetchHelpers | ( | $ | className | ) | `[private]`

Definition at line 96 of file PropertyPath.class.php.

References ClassUtils::isInstanceOf(), and Assert::isTrue().

Referenced by __construct().

Here is the call graph for this function:

PropertyPath::getFinalDao | ( |  | ) |

Returns:
  ProtoDAO

Definition at line 83 of file PropertyPath.class.php.

References getFinalProperty().

Here is the call graph for this function:

PropertyPath::getFinalProperty | ( |  | ) |

Returns:
  LightMetaProperty

Definition at line 91 of file PropertyPath.class.php.

Referenced by getFinalDao(), and getFinalProto().

PropertyPath::getFinalProto | ( |  | ) |

Returns:
  AbstractProtoClass

Definition at line 75 of file PropertyPath.class.php.

References getFinalProperty().

Here is the call graph for this function:

PropertyPath::getPath | ( |  | ) |

Definition at line 62 of file PropertyPath.class.php.

PropertyPath::getRoot | ( |  | ) |

Definition at line 67 of file PropertyPath.class.php.

## Member Data Documentation

PropertyPath::$daos = array()`[static, private]`

Definition at line 22 of file PropertyPath.class.php.

PropertyPath::$path = null`[private]`

Definition at line 18 of file PropertyPath.class.php.

Referenced by __construct().

PropertyPath::$properties = array()`[private]`

Definition at line 20 of file PropertyPath.class.php.

PropertyPath::$protos = array()`[static, private]`

Definition at line 23 of file PropertyPath.class.php.

PropertyPath::$root = null`[private]`

Definition at line 17 of file PropertyPath.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- main/Criteria/PropertyPath.class.php